All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Class ExportColumn

    com.sas.iquery.metadata.business.ExportColumn

    public class ExportColumn

Constructor Summary
`ExportColumn(SelectedItem selectedItem)`

Method Summary
`java.lang.String` | `getFormat()` Returns the format of the column
`java.lang.String` | `getID()` Returns the Model ID
`java.lang.String` | `getLabel()` Returns the label of this column
`Role` | `getRole()` Return the Role, i.e., Clumn, Background, Hidden
`java.lang.String` | `getText()` Returns this column's expression in text form
`java.lang.String` | `getType()` Return the SAS type: NUMERIC or CHARACTER
`DataItem` | `getUnderlyingObject()` Returns the underlying DataItem
`DataItemActionType` | `getUsage()` Return the usage, i.e.
`boolean` | `isCalculated()` Returns true if this column is calculated

Constructor Detail

### ExportColumn

    public ExportColumn(SelectedItem selectedItem)

Parameters:
  `dataItem` -
  `role` -
Throws:
  `InvalidIDException`

Method Detail

### getID

    public java.lang.String getID()

  Returns the Model ID

### getUnderlyingObject

    public DataItem getUnderlyingObject()

  Returns the underlying DataItem

### isCalculated

    public boolean isCalculated()

  Returns true if this column is calculated

### getText

    public java.lang.String getText()

  Returns this column's expression in text form

### getLabel

    public java.lang.String getLabel()

  Returns the label of this column

### getFormat

    public java.lang.String getFormat()

  Returns the format of the column

### getUsage

    public DataItemActionType getUsage()

  Return the usage, i.e. AGGREGATE, CATEGORY, DETAIL..

### getRole

    public Role getRole()

  Return the Role, i.e., Clumn, Background, Hidden

### getType

    public java.lang.String getType()
                             throws MetadataException

  Return the SAS type: NUMERIC or CHARACTER

  Throws:
    `MetadataException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.